Transaction details
Get transactions
Get sransactions
curl https://api.safepaynordic.dk/v2/transactions \
-X GET \
-H 'Authorization: Bearer {API_TOKEN}' \
-H 'Content-Type: application/json'
Response example
{
"items": [
{
"transactionId": "a95a1320-fce8-4838-9ff2-286501b45350",
...
}
],
"count": 20
}
Get transaction
Get transaction
curl https://api.safepaynordic.dk/v2/transactions/{TRANSACTION_ID} \
-X GET \
-H 'Authorization: Bearer {API_TOKEN}' \
-H 'Content-Type: application/json'
Response example
{
"transactionId": "a95a1320-fce8-4838-9ff2-286501b45350",
"payer": {
"safepayAccountId": "8839c3be-64f6-4901-861a-3fd15f26596b",
"phoneNumber": "+45 555555",
"name": "John Doe",
"city": "København Ø",
"postalCode": "2100",
"address": "Fakestreet 123",
"fees": {
"fixedAmount": 1000.0,
"variableAmount": 10.5,
"variablePercentage": 1.05,
"amount": 1010.5
},
"status": {
"deadline": "2024-02-16T10:36:20+01:00",
"deadlineDescription": "description",
"title": "title",
"description": "description",
"iconId": 0,
"actions": [
{
"type": 0,
"text": "description"
}
],
"hasPendingAction": true
}
},
"payee": {
...
},
"referenceId": "3811b9da-dd5b-4834-b266-2414e76276aa",
"title": "Adidas Campus 00s",
"description": "Campus 00s Crystal White / Core Black / Off White",
"price": 1050.2,
"images": [
{
"url": "image-url"
}
]
}